<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
    th:replace="~{main-layout.html::main-fragment(~{::title},~{::#adduser-main-content})}">

<head>
    <meta charset="UTF-8">
    <title>Ajout d'un utilisateur</title>
</head>

<body>

    <div class="container-fluid" id="adduser-main-content">
    <h1 class="text-center"> Ajouter un utilisateur</h1>
        <form method="post" th:action="@{/admin/users/add}" th:object="${formuser}">
            <div class="mb-2">
                <label for="email" class="form-label">Email</label>
                <input type="email" class="form-control" id="email" th:field="*{userName}" th:errorclass="is-invalid"/>
                <p th:if="${#fields.hasErrors('userName')}" th:errors="*{userName}" class="invalid-feedback"/>
            </div>
            <div class="mb-2">
                <label for="password" class="form-label">Mot de passe</label>
                <input type="password" class="form-control" id="password" th:field="*{password}" th:errorclass="is-invalid"/>
                <p th:if="${#fields.hasErrors('password')}" th:errors="*{password}" class="invalid-feedback"/>
            </div>
            <div class="mb-2">
                <label for="confirmPassword" class="form-label">Confirmation du mot de passe</label>
                <input type="password" class="form-control" id="confirmPassword" th:field="*{confirmPassword}" th:errorclass="is-invalid"/>
                <p th:if="${#fields.hasErrors('confirmPassword')}" th:errors="*{confirmPassword}" class="invalid-feedback"/>
            </div>
            <input class="btn btn-primary" type="submit" value="Ajouter"/>
           </form> 
    </div>
</body>

</html>